# BuildPhaseOperationDescriptor

@Incubating
interface BuildPhaseOperationDescriptor : OperationDescriptor

A descriptor of a build phase operation. A build phase operation describes a phase build is in and number of build items (project to configure, task to execute) that this build phase will execute.

#### Since

7.6

## Functions

getBuildItemsCount
Link copied to clipboard
abstract fun getBuildItemsCount(): Int
Returns number of build items this phase will execute.
getBuildPhase
Link copied to clipboard
abstract fun getBuildPhase(): String
Returns the build phase name.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getParent
Link copied to clipboard
abstract fun getParent(): @Nullable OperationDescriptor